[CentOS-devel] C4 yum-priorities update

Daniel de Kok danieldk at pobox.com
Fri Aug 31 19:32:35 UTC 2007

On Fri, 2007-08-31 at 14:17 -0400, Phil Schaffner wrote:
> You just stimulated me to try it.  Tested on a fully-updated CentOS 4.5
> VMware install (Workstation+development packages) - no previous 3rd
> party repos or other non-CentOS packages installed.  Installed
> yum-plugin-priorities-0.0.5-2.el4.centos. Added ATrpms repo with
> priorities set lower (higher number) than base repos, and did update.
> Seems yum wants to update yum with the ATrpms version, but fails on
> dependencies that are caught by the priorities.  ???
> Let me know if info other than below is needed.

Thanks for catching this! The problem is that yum is an i386 package in
ATRPMS, while it is a noarch package in our repositories. This was not a
problem without multi-arch support (though, this had other problems, see
RH bug: 227540).

I think/guess the easiest fix is asking ATRPMS whether they can make
their yum package noarch (since there seem to be no arch-specific files
in it).

-- Daniel

More information about the CentOS-devel mailing list